
<nav class="navbar navbar-expand-lg navbar navbar-ligh" style="background-color: #e3f2fd;">

  <div class="container-fluid">
    <a class="navbar-brand" href="/">Facturation</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="container">
      <!-- Show this for logged out users -->
      <ul *appShowAuthed="false"
          class="nav navbar-nav pull-xs-right">

        <li class="nav-item">
          <a class="nav-link"
             routerLink="/">
            Home
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link"
             routerLink="/login"
             routerLinkActive="active">
            Sign in
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link"
             routerLink="/register"
             routerLinkActive="active">
            Sign up
          </a>
        </li>

        <p-megaMenu [model]="itemspublic">
          <input type="text" pInputText placeholder="Search">

        </p-megaMenu>

      </ul>
      <!-- Show this for logged in users -->
      <ul *appShowAuthed="true"
          class="nav navbar-nav pull-xs-right">

        <p-megaMenu [model]="items">
          <input type="text" pInputText placeholder="Search">

        </p-megaMenu>


        <li class="nav-item">
          <a class="nav-link"
             routerLink="/"
             routerLinkActive="active"
             [routerLinkActiveOptions]="{ exact: true }">
            Home
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link"
             routerLink="/editor"
             routerLinkActive="active">
            <i class="ion-compose"></i>&nbsp;New Article
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link"
             routerLink="/settings"
             routerLinkActive="active">
            <i class="ion-gear-a"></i>&nbsp;Settings
          </a>
        </li>

        <li class="nav-item">
          <a class="nav-link"
             [routerLink]="['/profile', currentUser.userName]"
             routerLinkActive="active">
                 <!--     <img [src]="currentUser.image" *ngIf="currentUser.image" class="user-pic" />-->
            {{ currentUser.userName }}
          </a>
        </li>

      </ul>

    </div>
  </div>
</nav>



